pub trait LimitPrecision {
    fn to_precision(self, precision: i32) -> Self;
}

impl LimitPrecision for f32 {
    fn to_precision(self, precision: i32) -> Self {
        let factor = 10_f32.powi(precision);
        (self * factor).round() / factor
    }
}
